PromptParameter
A parameter used by a prompt template
Usage profiles
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
name | string | Optional | Name used to bind a value to this prompt-template parameter. |
description | string | Optional | Explanation of the value expected for this prompt parameter. |
type | string | Optional | Free-form type hint, e.g. "string", "number" |
required | boolean | Optional | Whether the prompt parameter must be supplied by the caller. |
Where used
| Reference | Relationship |
|---|---|
| Get an MCP prompt template | POST /api/v1/llm/mcp-get-prompt |
| List MCP prompt templates | POST /api/v1/llm/mcp-list-prompts |
| PromptDefinition | Nested in model |
Download the public reference contract.
Document: DOC-API-MODEL-prompt-parameter.